package main

import (
	"log"

	"gitea.zjmud.com/phyer/rbac/api"
	"gitea.zjmud.com/phyer/rbac/config"
	"github.com/gin-gonic/gin"
)

func main() {
	// 加载配置
	cfg := config.LoadConfig()

	// 初始化数据库
	db := config.InitDB(cfg)

	// 初始化Redis
	redisClient := config.InitRedis(cfg)

	// 初始化路由
	router := api.SetupRouter(db, redisClient)

	// 启动服务
	if err := router.Run(":" + cfg.ServerPort); err != nil {
		log.Fatalf("Failed to start server: %v", err)
	}
}
