package models

import "time"

type Permission struct {
	ID          uint      `gorm:"primaryKey" json:"id"`
	Name        string    `gorm:"uniqueIndex;size:50" json:"name"`
	Description string    `gorm:"size:255" json:"description"`
	ResourceID  uint      `json:"resource_id"`
	ActionID    uint      `json:"action_id"`
	CreatedAt   time.Time `json:"created_at"`
	UpdatedAt   time.Time `json:"updated_at"`

	Resource Resource `gorm:"foreignKey:ResourceID"`
	Action   Action   `gorm:"foreignKey:ActionID"`
}
